Loading...
Searching...
No Matches
hueplusplus::XY Struct Reference

Color in CIE x and y coordinates. More...

`#include <hueplusplus/ColorUnits.h>`

## Public Member Functions

bool | operator== (const XY &other) const
bool | operator!= (const XY &other) const

## Public Attributes

float | x
| x coordinate in CIE, 0 to 1
float | y
| y coordinate in CIE, 0 to 1

## Detailed Description

Color in CIE x and y coordinates.

## Member Function Documentation

## operator!=()

bool hueplusplus::XY::operator!= | ( | const XY & | other | ) | const

inline

## operator==()

bool hueplusplus::XY::operator== | ( | const XY & | other | ) | const

inline

## Member Data Documentation

## x

float hueplusplus::XY::x

x coordinate in CIE, 0 to 1

## y

float hueplusplus::XY::y

y coordinate in CIE, 0 to 1

The documentation for this struct was generated from the following file:

- include/hueplusplus/ColorUnits.h